import time
import schedule

from utils.config_helper import ConfigHelper
from utils.logger_helper import LoggerHelper
from main.runner import Runner

logger = LoggerHelper.get_logger()
DEFAULT_USER_SLEEP_INTERVAL = 60 * 30  # 配置默认时间间隔30分钟

runner = Runner()
runner.run()

interval = ConfigHelper().get_int("schedule.sleep_interval",DEFAULT_USER_SLEEP_INTERVAL)

if __name__ == '__main__':
    while True:
        logger.info(f"等待下次检查执行... {interval}秒后")
        schedule.run_pending()
        time.sleep(interval)
